GeographicLib: RhumbSolve.cpp File Reference

GeographicLib 2.5

Loading...
Searching...
No Matches
Functions
RhumbSolve.cpp File Reference

Command line utility for rhumb line calculations. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <cmath>`
`#include <limits>`
`#include <GeographicLib/Rhumb.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include "RhumbSolve.usage"`

Go to the source code of this file.

## Functions
std::string | LatLonString (real lat, real lon, int prec, bool dms, char dmssep, bool longfirst)
std::string | AzimuthString (real azi, int prec, bool dms, char dmssep)
int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for rhumb line calculations.

Copyright (c) Charles Karney (2014-2023) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file RhumbSolve.cpp.

## Function Documentation

## ◆ LatLonString()

std::string LatLonString | ( | real | lat,
|  | real | lon,
|  | int | prec,
|  | bool | dms,
|  | char | dmssep,
|  | bool | longfirst )

Definition at line 31 of file RhumbSolve.cpp.

References GeographicLib::DMS::Encode(), GeographicLib::DMS::LATITUDE, GeographicLib::DMS::LONGITUDE, and GeographicLib::DMS::NUMBER.

Referenced by main().

## ◆ AzimuthString()

std::string AzimuthString | ( | real | azi,
|  | int | prec,
|  | bool | dms,
|  | char | dmssep )

Definition at line 43 of file RhumbSolve.cpp.

References GeographicLib::DMS::AZIMUTH, GeographicLib::DMS::Encode(), and GeographicLib::DMS::NUMBER.

Referenced by main().

## ◆ main()

int main | ( | int | argc,
|  | const char *const | argv[] )

Definition at line 48 of file RhumbSolve.cpp.

References GeographicLib::Rhumb::ALL, AzimuthString(), GeographicLib::DMS::DecodeAzimuth(), GeographicLib::DMS::DecodeLatLon(), GeographicLib::Math::extra_digits(), GeographicLib::Utility::fract(), GeographicLib::RhumbLine::GenPosition(), GeographicLib::Rhumb::Inverse(), LatLonString(), GeographicLib::Rhumb::Line(), GeographicLib::Rhumb::LONG_UNROLL, GeographicLib::Math::NaN(), GeographicLib::Math::qd, GeographicLib::Utility::set_digits(), GeographicLib::Utility::str(), GeographicLib::Utility::val(), GeographicLib::Constants::WGS84_a(), and GeographicLib::Constants::WGS84_f().